Bug 88828 - devlabel hangs system when accessing a symlink to an invalid partition
devlabel hangs system when accessing a symlink to an invalid partition
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-04-14 13:49 EDT by Need Real Name
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-14 13:49:00 EDT
Description of problem:

devlabel hangs system when accessing a symlink to an invalid partition

I created an automounting devlabel symlink to my USB external hard drive's first
partition (/dev/sda1).  However, that partition was an unmountable extended
partition; the first mountable partition was /dev/sda5.  Whenever I plug that
device in, my system freezes - no mouse or keyboard, and it won't even respond
to pings from other machines on the LAN.  Unplugging the device has no effect, a
hard reboot is necessary to recover.

I corrected the problem -- I removed the devlabel entry, remounted the drive,
partitioned and formatted as intended (I made the drive one large vfat
partition), and recreated the devlabel entry.  Now, everything works great.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. obtain an external USB storage device with the first partition created as an
extended partition
2. attach device; observe device used (sda, sdb, etc -- assume /dev/sda for this
3. devlabel add -d /dev/sda1 -s /dev/external_drive --automount
4. mkdir /mnt/external_drive
5. update /etc/fstab (below should be one line):
echo /dev/external_drive /mnt/external_drive auto
defaults,uid=tfolger,gid=tfolger 0 0 >> /etc/fstab
6. unattach device
7. devlabel reload
   (this is likely unnecessary)
8. re-attach device

Actual results:
System hang

Expected results:
error in message log ("could not mount /dev/sda1 -- device not mountable")

Additional info:
Devlabel is great stuff, and it was worth this trouble.  I finally have my USB
devices automounting on insertion, without having to be careful about what order
I plug them in.  I realize devlabel is mostly for a different purpose (managing
redundant disks in disk arrays), but these capabilities are a great desktop user
Comment 1 Bill Nottingham 2003-04-14 13:54:05 EDT
The fact that it hung the system is a kernel issue.

You might try 2.4.20-9; it has usb-storage fixes.
Comment 2 Need Real Name 2003-04-16 10:43:29 EDT
NEEDINFO ?    What additional info is needed?
Comment 3 Bugzilla owner 2004-09-30 11:40:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.